HomeКомпьютерные игрыRelated VideosMore From: Graven - Développement

CREER UN PLUGIN ? #1 | BASE & PREREQUIS [OLD]

1350 ratings | 94968 views
Bienvenue sur cette série qui vous permettras de Créer vos propres plugins Bukkit & Spigot avec le logiciel Eclipse. Bonne Video et nous nous excusons de certains décalage son & vidéo. Nouvelle version : https://youtu.be/FPu3A99jvbg Eclipse : http://graven.yt/eclipse Java : http://graven.yt/java Java Développement Kit (JDK) : http://graven.yt/jdk Spigot: http://graven.yt/spigot 📌Mon Twitter : http://graven.yt/twitter 👁️‍🗨️Mon Discord: http://graven.yt/discord end()
Html code for embedding videos on your blog
Text Comments (1655)
MaCtAx AKZYT (1 month ago)
Mec le Plugin.yml sa le met en vidéo COmment je fait ? Répond moi au plus vite plz
MaCtAx AKZYT (1 month ago)
Vien discord pour m'expliqué https://discord.gg/r9kYsvJ
MaCtAx AKZYT (1 month ago)
Comment ça ?
regarde la nouvelle serie
Graven - Développement (2 months ago)
3 ans !
Sean Kevan L ABDL (3 months ago)
sympa :)
Loulou (4 months ago)
j'y arrive paaas
Dowez (4 months ago)
Tu mets Old dans le titre mais est ce que c'est toujours d'actualité le type de création? Est ce qu'il faut toujours mettre en Java 1.7?
Dowez (4 months ago)
Graven - Développement OK je vais voir ta nouvelle gamme de tuto merci
Graven - Développement (4 months ago)
bien evidemment mais les explications sont mieux dans la saison 2 sinon il faut maintenant dev en java 1.8/1.9
WhitePrysm (4 months ago)
quand je vais dans file new j'ai pas project java
Graven - Développement (4 months ago)
fais new project -> java -> java project
mega magique (5 months ago)
Bonjours, j'ai fermer sans le vouloir la fenêtre de gauche (package explorer), comment je peux faire pour la ravoir. Je n'y arrive pas. Merci de votre réponse.
Graven - Développement (5 months ago)
window , show view, package explorer
The Thanos 974 (7 months ago)
J'ai trouvé un logiciel permettant de programmer en JAVA, en html, en css etc etc. Son c'est Brackets.
The Thanos 974 (7 months ago)
Graven - Développement Si tu veux programmer en JAVA il y a un bouton en bas à droite ou c'est marqué "html" lorsque tu appuis dessus, tu as un choix de langage assez vaste.
Graven - Développement (7 months ago)
ouais il a l'air pas mal
Mirow (7 months ago)
Quand je vais sur JavaPlugin le "import" marche mes quand je vais sur listener sa ne marche pas !
Mirow (7 months ago)
D'accord x)
Graven - Développement (7 months ago)
regarde la nouvelle saison ;)
VadamDev & Minecraft (8 months ago)
jai un problème quand je démarre le server déja sa n'afiche pas se qui est sencer etre ecrit et sa me mets sa : Using default channel type [18:20:06 ERROR]: Could not load 'plugins\MonPlugin.jar' in folder 'plugins' org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:152) ~[spigot.jar:git-Spigot-da42974-8f47214] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot.jar:git-Spigot-da42974-8f47214] at org.bukkit.craftbukkit.v1_12_R1.CraftServer.loadPlugins(CraftServer.java:308) [spigot.jar:git-Spigot-da42974-8f47214] at net.minecraft.server.v1_12_R1.DedicatedServer.init(DedicatedServer.java:205) [spigot.jar:git-Spigot-da42974-8f47214] at net.minecraft.server.v1_12_R1.MinecraftServer.run(MinecraftServer.java:545) [spigot.jar:git-Spigot-da42974-8f47214] at java.lang.Thread.run(Unknown Source) [?:1.8.0_144] Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml ... 6 more je ne c'est pas dou vient les problème....
Graven - Développement (8 months ago)
Quand tu exportes clique bien sur le projet et pas sur une classe
Spirolad (9 months ago)
Bonjour C'est quelle logicielle qu'il faut prendre pour eclipse, sa en propose plusieurs, sinon bonne video :)
Crazy Faction (10 months ago)
Mon plugin ne s'installe pas c'est normale ?
Graven - Développement (10 months ago)
regarde la nouvelle série ;)
Patriote Belge (10 months ago)
Salut, pour faire un plugin modifiant les propriétés d'un item comme les minecarts par exemple. J'aimerais faire un plugin pour que les minecarts voyagent sur l'eau et qu'ils puissent tourner par exemple
Graven - Développement (10 months ago)
regarde nouvelle saison ;)
Telephone Arabe (10 months ago)
Vous utilisez des plugins pour faire du swing merci pour le tuto
VaiTAck (10 months ago)
Ta enfin percé frero, je suis VaiTAck un ancien pote à BrySi :)
Graven - Développement (10 months ago)
ça date ;)
ItsZaRoX (11 months ago)
j'ai un problème mon eclipse ne se lance pas pourriez vous m'aider ?
Lu Be (11 months ago)
je narrive plus a mettre le truc sur le coter Package explorer
Graven - Développement (11 months ago)
window --> show view --> package explorer
Ark Fury (11 months ago)
on dirai que tu lag
Soulivan 712 (11 months ago)
Bonjour, je dois prendre quelle version du spigot ?
Graven - Développement (11 months ago)
celle que tu veut (ps: regarde la new serie)
Escanor TaiZai (11 months ago)
On dirait que tu veux te suicider ! xD
Graven - Développement (11 months ago)
xD
uiu_ytb_ (11 months ago)
quand j'ai créé le fichier plugin.yml il me l'a ouvert avec notepad++ et pas éclipse c'est grave ?
Nteex & UnFall (1 year ago)
Moi mon problème c est que après avoir fait import sur JavaPlugin et sur Listener il restent comme error et les lignes qui se rajoutent au dessus sont ausi comme erreur Please help me
Nteex & UnFall (1 year ago)
mrc beaucoup ;)
regarde la new saison ;)
Kazuto Kirigaya (1 year ago)
hello j ai un problème avec le plogin sa me dit sa "11: 17:49] [Server thread / ERROR]: Impossible de charger 'plugins / Kingdom.jar'Dans le dossier 'plugins' "
ton plugin.yml doit etre incorrecte
Lorddix Team Snogdeth (1 year ago)
Bonjour je recherche plusieurs développeurs qui serait partant pour coder des plugins pour un serveur minecraft mini jeux. Pour plus d'informations envoyez moi un mp YouTube.
Garry's Clac (1 year ago)
j'ai un problème quand je mais mon plugins dans mon serveur et que je le lance sa me dit "Could not load 'plugins\MonPlugin.jar' in folder 'plugins' org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:154) ~[spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:739) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.Bukkit.reload(Bukkit.java:535) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1162) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:997) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-db6de12-18fbb24] at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_131] at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_131] at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot.jar:git-Spigot-db6de12-18fbb24] at java.lang.Thread.run(Unknown Source) [?:1.8.0_131] Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml ... 21 more" Help me... Help me...
Garry's Clac (1 year ago)
ok merci
ton plugin.yml est incorrecte
Aurelien Gatineau (1 year ago)
très bon tuto ! j'aimerais savoir si tu peut m'aidé ? s'il te plait merci
Aurelien Gatineau (1 year ago)
on pourrait se parler sur teamspeak ou skype si possible merci
oui dit moi
Thomeryc (1 year ago)
Salut! Je pourrai savoir pourquoi cela ne marche pas..: [22:33:01] [Server thread/ERROR]: Could not load 'plugins/Azkaria.jar' in folder 'plugins' org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:162) ~[Spigot-v1_11_2.jar:git-Spigot-38ddb34-c19c293] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [Spigot-v1_11_2.jar:git-Spigot-38ddb34-c19c293] at org.bukkit.craftbukkit.v1_11_R1.CraftServer.loadPlugins(CraftServer.java:301) [Spigot-v1_11_2.jar:git-Spigot-38ddb34-c19c293] at net.minecraft.server.v1_11_R1.DedicatedServer.init(DedicatedServer.java:204) [Spigot-v1_11_2.jar:git-Spigot-38ddb34-c19c293] at net.minecraft.server.v1_11_R1.MinecraftServer.run(MinecraftServer.java:544) [Spigot-v1_11_2.jar:git-Spigot-38ddb34-c19c293] at java.lang.Thread.run(Thread.java:745) [?:1.8.0_60] Caused by: org.yaml.snakeyaml.scanner.ScannerException: mapping values are not allowed here in 'reader', line 2, column 8: version: 1.0
Thomeryc (1 year ago)
GravenilvecTV | Développement C'est bon, je pense avoir trouvé en fait..! merci bien!
ton plugin.yml est incorrecte
Dimitry 033 (1 year ago)
sque ses normale que j'ai une erreur dans la console quand je mon serveur ?
dit moi
Zehky (1 year ago)
bonsoir, j'ai une petite question, comment je fait pour faire un plugin en 1.7.10 ou en 1.7.2 quel version de spigot je doit prendre et quel Java-SE?
java 8, la version de minecraft n'influence pas le choix de java
Phos (1 year ago)
Bonjour à tous, suis-je le seul à ne pas pouvoir utilisé les liens pour télécharger spigot? Et quand je recherche sur internet, je ne trouve qu'une version snapshot en .jar . Quelqu'un saurait comment résoudre ce problème?
Phos (1 year ago)
Merci. Sinon super vidéo, tu explique tres bien malgré le décalage 👍. Un abonné en plus.
http://getbukkit.org/spigot
Vulann (1 year ago)
https://getbukkit.org/spigot -> pour le spigot tout les lien HS
Mini Leo (1 year ago)
J'ai un problème quand je vais sur  eclipse je fais file new est il y a pas java project il y a que JPA projecte comment faire ?
HYFA (1 year ago)
Hey ! Quel Eclipse télécharger >? Car quand je veux créer un projet ya seulement JPA project
regarde apprendre le java 1 ;) j'explique tout
fasegame (1 year ago)
si vous n'arriver pas a ouvrir eclipse metait a jour votre java
AdriP (1 year ago)
Ya un décalage à la fin ???
pendant toute la vidéo malheureusement
rois2coeurs (1 year ago)
lien de spigot mort
rois2coeurs (1 year ago)
j'ai trouvée un lien c'est bon (https://getbukkit.org/spigot)
http://getspigot.org
Neyrim (1 year ago)
Ton lien pour spigot ne marche plus, mais c'est quoi comme genre de spigot ? Il faut une version ou un truc spécial ?
http://getbukkit.org
Tenweex (1 year ago)
Spigot ou Craftbukkit ? Ça n'a pas d'importance si ?
Tenweex (1 year ago)
Donc quand je crée un plugin j'utilise Spigot, par contre mon plugin marchera quand même sur un serveur Craftbukkit après ?
spigot, utilise pas craftbukkit
xTrM_ (1 year ago)
Salut Grav, ça serait possible d'avoir un lien de téléchargement de spigot (qui marche) s'il te plait ? :P Merci :D
Hey salut, http://getbukkit.org
Dark Khoala (1 year ago)
c moi ou tu a un tout petit cheveu sur la langue?
5
Blue_ Mounkey (1 year ago)
bonjour, bien que cet vidéo date un peu j'ai un petit porblème quand je clique sur le lien spigot dans la description j'ai une erreur502. pourrais tu m'aider s'il te plait car j'aimerais vraiment aprrendre a créer des plugins ect grace a ta chaîne
go sur getbukkit.org
Necro (1 year ago)
Merci !!!
DraguonsxObscure (1 year ago)
Le lien pour spigot est mort ?
DraguonsxObscure (1 year ago)
Merci <3
http://getspigot.org
_6ssou3010_ (1 year ago)
en lancan mon serveur se me met cette erreur Could not load 'plugins/regles.jar' in folder 'plugins'
_6ssou3010_ (1 year ago)
GravenilvecTV | Développement c'est bon
relit toi et envoie tes erreurs avec pastebin.com
_6ssou3010_ (1 year ago)
le lien spigot marche pas
http://getbukkit.org
Yvanoff Officiel (1 year ago)
Bonjour j'ai java esclipse neon 3 et je n'arrive pas a trouvé le Java Build Path. Merci de m'aider rapidement
Yvanoff Officiel (1 year ago)
Merci serait t'il possible qu'on ce contact en vocal via Discord car meme avec ton tuto je n'arrive pas a activer ou faire aparaitre Java Build donc si tu pouvais m'aide ça serait parfait ! Merci d'avance.
go sur getbukkit.org
Yvanoff Officiel (1 year ago)
et aussi pour télécharger spigot le site ne marche plus donc comment faire ?
Yvanoff Officiel (1 year ago)
Merci beaucoup !
go voir apprendre le java 1 ;) je remontre proprement
Jamamin (1 year ago)
Quand j'installe eclipse et que le le lance et que je ferme la page de bienvenue après aucune page ... On peut m'aider ?
Regarde apprendre le java 1
Liquirh (1 year ago)
J'ai pas import au PluginJava :'( aide moi s'il te plaît
c'est JavaPlugin ;)
Liquirh (1 year ago)
Je commence seulement aujourd'hui a regarde t'es séries car j'ai envie d'apprendre le java, et merci tu gères. Continue, une grande aventure a ce que je vois :') <3
Salut, j'ai un problème, je fais comme tu dis dans la vidéo mais mon serveur dit qu'il ne peut pas l'éxecuter sur le serveur ://
Benoit Jamet (1 year ago)
Salut, je n'arrive pas faire "import" avec JavaPlugin et Listener. Aurais-tu une idée d'où ça peut venir ?
Max2405 (1 year ago)
comment on écrit < a l'enverts ?
冰OBIWAAN冰 (1 year ago)
Quand je met des skript fait par d'autre personnes , ya plein de syntax error , j'aimerai savoir comment les regler facilement et entierement car cela empeche de faire fonctionner mon plugin , aurais tu une idée ?
冰OBIWAAN冰 (1 year ago)
GravenilvecTV | Développement oui enfin la sur ta video tu a fait des lignes de code , beh je prend lzs lignes de code faites par dautre gens , je lai copie colle et sa met error syntax on tokens delete these token et sa veut pas partir
des skript ?
冰OBIWAAN冰 (1 year ago)
Dans export a la fin , j'ai pas le jar file :/
tu fait Java --> Jar File
Mathéo Jorigné (1 year ago)
https://pastebin.com/cHkkcGJY plutot ennuyant :/ (issue de ma console)
ton plugin.yml est incorrecte relit toi
gipsycola (1 year ago)
pourrait tu me dire quelle est la version de eclipse a telecharger comme il y en a pein mtn quand on clic sur le lien
Baptiste BERNARD (11 months ago)
"Eclipse IDE for Java EE Developers"
gipsycola (1 year ago)
GravenilvecTV | Développement ok mrc
go voir la video apprendre le java 1 ;)
Kavioz_z & Perkiiz_z (1 year ago)
juste une question ? l'event pour que des qu'un joueur casse un bloc cela le remet comment fait ton plz ?
Kavioz_z & Perkiiz_z (1 year ago)
GravenilvecTV | Développement merci bien !
@EventHandler public void onBreak(BlockBreakEvent event){ ///condition... event.setCancelled(true); <-- annule l'evenement }
ByTweaZ (1 year ago)
je peux te parler par Twitter ou autre ?
@Gravenilvec
blacorino 56 (1 year ago)
Mon spigot est un dossier winrar. svp comment je fait ?
NefiteTifall (1 year ago)
Bonjour GravenilvecTV j'ai un probleme vers 9:55 tu ecrit la ligne de code "Sytem.out.printIn("Le Message");" Mais moi quand je l'ecrit il y a une erreur est il y a ecrit "The method printIn(String) is undefined for the type PrintStream" Peut tu m'aider stp
Mathéo Jorigné (1 year ago)
fin j'crois ^^
Mathéo Jorigné (1 year ago)
car c'est println avec un "L" et non un i (en gros c'est print"L"n)
NefiteTifall (1 year ago)
https://image.noelshack.com/fichiers/2017/13/1490736193-2017-03-28-23-20-12.png
screen ?
Infinite_X (1 year ago)
J'ai mis le 1000 éme pouce bleu !!! Merci beaucoup pour le tuto 😃
FunOx_ (1 year ago)
Omg bois de l'eau quand tu fais tes vidéos on dirais que t'as la pateuse c'est super désagréable a écouter xD Sinon super, continue x)
en meme temp ça date un peu mdr
Thomas (1 year ago)
salut gravenilvec tes vidéos sont vraiment bien pour aapprendre le Java mais juste moi pour démarrer mon serveur c'est un java exécutable et non un cmd est ce que tu sais comment je peux vérifier l'installation de mon plug-in vu qu'il n'y a pas écrit tout ce que toi tu as sur ton cmd ???
Vic Mag (1 year ago)
Salut j'avais une question qui n'a rien à voir avec la vidéo mais je ne savais pas comment te contacter autrement. J'aimerai vérifier si le "System.currentTimeMillis() == monTimeStamp". monTimeStamp est ma variable qui correspond à la conversion d'une date en timestamp. Mon problème est que je ne sais pas sous quel évènement mettre ceci, car j'aimerai qu'a n'importe quel moment le plugin vérifie cette condition ...
Apres si j'ai une archive corrompue
J'ai une erreur sur extands sa me le met pas en violet et aussi j'ai utilisé la verison de minecraft 1.8 spigot :p Pour présiser
Studio Mangua (1 year ago)
Salut Eclipse luna n'existe plus peut tu me donner un autre lien svp l'officiel
Studio Mangua (1 year ago)
Merci
go voir apprendre le java 1 ;) tu as tout les liens actuel
RPG_Craft Kenda (1 year ago)
SA ME MET UN MESSAGE DERREUR A LA FIN QUAND JE FAIT FINISH §$
RPG_Craft Kenda (1 year ago)
Enfaite c'est bon j'ai trouvé j'avais mal ecrit
screen stp ?
Theo Gug (1 year ago)
il faut installer quel eclipse car moi il me propose d'installer pleins de trucs et je suis perdu
regarde apprendre le java 1 ;)
Yazhr0x (1 year ago)
Quand je passe ma souris sur JavaPlugin je doit quel touche ?
micraft # (1 year ago)
slt comment on fait pour savoir la version de java de notre serveur et c'est normal ça?http://image.noelshack.com/fichiers/2017/11/1489869862-capture.png
micraft # (1 year ago)
donc le point exclamation ces normal?
1) la version de java est noté sur l'hebergeur sinon si tu utilises une machine dédié ou vps, il faut taper dans la console java -version 2) oui mais ton plugin est en java 7
Masuva 64 (1 year ago)
salut es-ce possible de me faire quelque plugin ? repond moi sur mon skype : Masuva64 Sinon qui peut m,en faire un merci
kiwi (1 year ago)
ça marche sur les serveur OMG serv ?
kiwi (1 year ago)
D'accord merci !
oui mais prend bien la bonne version de java
Max2405 (1 year ago)
Dans La Console Ca me met sa : Cloud not load plugins/MonPlugin in folder plugins Tu Peux M'aider Plz
Max2405 (1 year ago)
http://pastebin.com/eu9WsmpL
envoie les erreurs en pastebin
Alexis _ (1 year ago)
j'arrive pas a ouvrir la fenêtre de mon serveur...
ALBANLEROK I Alban (1 year ago)
Ce tuto marche t-il en 1.11.2?
ALBANLEROK I Alban (1 year ago)
Sa ne me met même pas mon plugin quand je fais /pl :'(
oui
mamarcraft FR (1 year ago)
Salut, sa ne m’affiche pas import aide moi stp help help help help
mamarcraft FR (1 year ago)
3mo
mamarcraft FR (1 year ago)
3,68 Mo (3 868 669 octets)
ton spigot fait cb de poids ?
Corentin Goues (1 year ago)
mon plugin ne fonctionne pas
explique
Splinter nightTM (1 year ago)
salut aurrais tu skype j aurais des trucs a te demander
graven.abos
Prof _AMF (1 year ago)
Bonjour, j'ai un problème vers 8min 40 de la vidéo, quand j'importe JavaPlugin et Listener ça continu de m'afficher l'erreur et org.bukkit est aussi afficher en tant qu'erreur. Pouvez-vous m'aider? Merci par avance.
Prof _AMF (1 year ago)
C'est bon j'ai retéléchargé spigot et ça marche.
xaz (1 year ago)
J'arrive deja pas a ouvrir Eclipse, donc je pense abandonner :( Merci quand meme du tuto xD
Regarde apprendre le java 1 tu auras tout ce qu'il faut
Dwaroth (1 year ago)
Au lieu de spigot je peut prendre bukkit ?
Dwaroth (1 year ago)
et pour le Eclipse sa me demande lequel j'installe et j'ai pris le premier s'ets bon ?
utilise spigot comme ça on a tous la meme chose ;)
Prof _AMF (1 year ago)
Bonjours, je suis un petit nouveau qui voudrais se mettre au plugin mais quand je lance le launcher d'installation d'eclipce, il me propose plusieurs logiciel, lequel dois-je prendre? Merci par avance.
Prof _AMF (1 year ago)
Merci de me répondre, je vais y aller de ce pas.
Salut et bienvenue ;) regarde la video apprendre le java 1 tu auras tout ce qu'il faut
StaRoX R3v3L (1 year ago)
salut, super vidéo!! je veux apprendre à développer mais les serveur minecraft sont encore à la version 1.7 de ja va ou sont passé en 1.8 stp?? car moi les ; et les { se soulignes et quand je l'esseil, dans la console il me dit que ya des erreures avec les ; et les { , si tu pourrais m'aider stp! merci d'avance
regarde apprendre le java 1 avant tout ;)
FunnyFire (1 year ago)
mon plugin ne s'active pas pourrez-tu m'aider car cela fait 3h que je recommenc pls
FunnyFire (1 year ago)
Mais je retient ta chaine pour apprendre le java quand je serai près
FunnyFire (1 year ago)
C'est ça le problème c'est que mes journées sont déjà remplie et j'y pige rein et dès que je fait un code pareil que sur la vidéo il y a un problème
ok mais apprend le java en parallele
FunnyFire (1 year ago)
Par contre si tu sais comment faire pour que /gm 0, 1 ,2 ou 3 se mette à la place de [<text>] avec une variable
FunnyFire (1 year ago)
+GravenilvecTV | Développement et je suis que en 5eme j'ai le temp
Dark Khoala (1 year ago)
es que les plugings marchent en solo?? svp si quelqu'un pourrait me repondre sa serais super ;)
Dark Khoala (1 year ago)
en tout cas c'est cool de m'avoir repondu
Dark Khoala (1 year ago)
ok merci car je suis en train de cree une map skyblock et je voudrai juste un pluging tout simple qui ferai que quand on fait click droit avec un seau vide sur de l'obsidien sa fasse un seau de lave. sinon merci de m'avoir repondu si vite sa fait plaisir :p
fais toi un serveur local et tu pourras faire en solo mais avec spigot ;) https://www.youtube.com/watch?v=UpfkkjDGoGc&t=121s
Charles Sauvat (1 year ago)
Ton site internet ne fonctionne plus ?
va sur la video apprendre le java 1 ta tout les liens en description
Charles Sauvat (1 year ago)
http://gravenmc.fr/eclipse
lequel
Thomas Vinet (1 year ago)
salut, faut il télécharger la version la plus récente d'éclipse? Si oui, le fichier zip fait bien 300 mo ? Merci :)
Thomas Vinet (1 year ago)
GravenilvecTV | Développement ok merci, super tuto, et continue comme ça ! +1 abo :)
regarde apprendre le java 1 :)
Witlaxx [OFFICIEL] (1 year ago)
Salut, Gravenilvec, Grâce à toi j'ai pu crée ma première commande, /test, Sa te dit Tu as fais la commandes /test en vert, C'est pas beaucoup mais rien que pour ca je te remercie,Je vais suivre tes autres tuto !!!! MERCI
Tristan Lemalin (1 year ago)
C'est un bon début :)
Monsieur Juv (1 year ago)
quand j'ai mis MonPlugin dans plugins et je lance mon serveur spigot 1.8.8 ben quand je tape /plugins il est pas
Monsieur Juv (1 year ago)
pas compris aide moi
quand tu exportes click sur le projet et pas une classe ;)
Monsieur Juv (1 year ago)
sa me mais sa en message d'érreur : Could not load 'plugins\MonPlugin.jar' in folder 'plugins' org.bukkit.plugin.InvalidDescriptionException: Invalid plugin.yml at org.bukkit.plugin.java.JavaPluginLoader.getPluginDescription(JavaPluginLoader.java:154) ~[spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:133) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.reload(CraftServer.java:739) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.Bukkit.reload(Bukkit.java:535) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.command.defaults.ReloadCommand.execute(ReloadCommand.java:25) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.command.SimpleCommandMap.dispatch(SimpleCommandMap.java:141) [spigot.jar:git-Spigot-db6de12-18fbb24] at org.bukkit.craftbukkit.v1_8_R3.CraftServer.dispatchCommand(CraftServer.java:641) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnection.handleCommand(PlayerConnection.java:1162) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnection.a(PlayerConnection.java:997) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:45) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PacketPlayInChat.a(PacketPlayInChat.java:1) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.PlayerConnectionUtils$1.run(SourceFile:13) [spigot.jar:git-Spigot-db6de12-18fbb24] at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source) [?:1.8.0_121] at java.util.concurrent.FutureTask.run(Unknown Source) [?:1.8.0_121] at net.minecraft.server.v1_8_R3.SystemUtils.a(SourceFile:44) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.B(MinecraftServer.java:715) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.DedicatedServer.B(DedicatedServer.java:374) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.A(MinecraftServer.java:654) [spigot.jar:git-Spigot-db6de12-18fbb24] at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:557) [spigot.jar:git-Spigot-db6de12-18fbb24] at java.lang.Thread.run(Unknown Source) [?:1.8.0_121] Caused by: java.io.FileNotFoundException: Jar does not contain plugin.yml
Corentin Goues (1 year ago)
il faut prendre le quel eclipse???
regarde apprendre le java 1 ;)
Supreme B2k (1 year ago)
sais ou java
Supreme B2k (1 year ago)
non cebon jai trouver
?
Pang OnFire (1 year ago)
Salut, c'est le quel eclipse qu'on doit prendre ?
Pang OnFire (1 year ago)
Ok merci :)
regarde apprendre le java 1 ;)
Monsieur Juv (1 year ago)
normal quand ont telecharge spigot sa fait que des échec
Monsieur Juv (1 year ago)
merci sa marche :)
1.8.8 par exemple
Monsieur Juv (1 year ago)
ta pris quelle version de spigot
Monsieur Juv (1 year ago)
merci
essaye sur getbukkit.org
Tiger's World (1 year ago)
j'ai un problème ! quand je met mon curseur sur JavaPlugin ou Listener j'ai pas l'option Import ! je fais comment ?
Tiger's World (1 year ago)
oui il en fait 1.40Mo
ton spigot fait moins de 18Mo ?
TEIK (1 year ago)
j'ai téléchargé eclipse sur la page que tu as mis dans la desc mais quand je le lance ca me met un message asser long comme quoi c'est pas bon.. ca fonctionne pas
utilise la video apprendre le java 1 ;)
ProfessorCraft (1 year ago)
Bonjour, j'ai un problème : Quand je passe ma souris sur JavaPlugin et Listener je n'ai pas d'option import. Merci de me répondre au plus vite
ProfessorCraft (1 year ago)
non il faisait 21 mo donc j'ai pris Bukkit et ca marche ! Juste dernière question, je pourra t'ajouter sur skype car j'ai un autre problème qui est que je ne sais pas comment faire plusieurs commandes. Merci
ton spigot fait t'il moins de 18Mo ?
ancienne chaine (1 year ago)
slt le spigot marche pas aide moi pls
dans ce cas utilise https://getbukkit.org/
mathis150 (1 year ago)
J'ai pas import moi :(
mathis150 (1 year ago)
Merci mec je vait suivre ton conseil ;) ( a et plus 1 sub )
ton spigot fait moins de 18mo redownload le
NaolShow (1 year ago)
Salut graven :D, Je me lance au java , je connais très bien un autre langage (Le skript) Mais ayant un projets sérieux je passe au java bref, Tes tutoriels sur le java , Sont exactement pareil pour la 1.9 ? Merci. :)
NaolShow (1 year ago)
super merci :)
Oui il y a quelques differences mais globalement c'est la meme chose

Would you like to comment?

Join YouTube for a free account, or sign in if you are already a member.